@font-face {
    font-family: "Syne";
    src: url('../fonts/Syne-Regular/Syne-Regular.woff2') format('woff2'),
    url('../fonts/Syne-Regular/Syne-Regular.otf') format('otf'),
    url('../fonts/Syne-Regular/Syne-Regular.ttf') format('ttf'),
    url('../fonts/Syne-Regular/Syne-Regular.woff') format('woff');
    font-weight: 400;
}


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Syne";
  background: #E2DAD3;
  color: white;
}

.title{
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  font-size: 120px;
  text-transform: uppercase;
      font-family: "Syne";
}

h2, .h2, h3, .h3 {
color: black;
    font-family: "Syne";
}

span {
color: black;
font-size: 100px;
    font-family: "Syne";
}

p {
color: black;
    font-family: "Syne";
}

a {
    font-family: "Syne";
color: black;
text-decoration: none;
}

a:hover {
    font-family: "Syne";
text-decoration: underline;
color: black;
}

.raw {
  display: flex;
}

.col-100 {
  width: 100%;
}

.col-40 {
  width: 40%;
}

.col-20 {
  width: 20%;
  display: flex;
  flex-direction: column;
  justify-content: center; /* centre verticalement */
}

.col-10 {
  width: 10%;
}

.center {
  text-align: center!important;
}

.padding {
  padding: 0 8% 0 8%;
}

/* NAVBAR */

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 20px 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 1000;
}

/* MENU */

.nav-links {
  display: flex;
  gap: 40px;
  list-style: none;
}

.nav-links a {
  text-decoration: none;
  color: black;
  font-size: 16px;
  transition: 0.3s;
}

.nav-links a:hover {
  opacity: 0.7;
}

/* BURGER */

.burger span {
  display: block;
  height: 3px;
  width: 100%;
  background: white;
  border-radius: 3px;
  transition: 0.3s;
}

.burger svg {
  mix-blend-mode: difference;
  stroke: white;
}

.burger {
  background: #E2DAD3;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  display: none;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 2000;
  line-height: 0;  /* ← ajoute ça */
}


/* MOBILE */

@media (max-width: 768px) {

.burger {
  display: flex;
}

.nav-links {
  position: fixed;
  top: 0;
  right: -100%;
  width: 100%;
  height: 100vh;
  backdrop-filter: blur(10px);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 50px;
  transition: 0.4s ease;
}

.nav-links.active {
  right: 0;
}

.nav-links a {
  font-size: 28px;
  color: #000;
}
}

 /* DEMO SECTION */

.hero {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 60px;
}

.video-container {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.video-container video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.logo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 20%; 
  z-index: 2;
}

.space-high {
  height: 600px!important;
}

.space-low {
  height: 300px!important;
}

.space-low-02 {
  height: 50px!important;
}

.space-very-low {
  height: 70px!important;
}

.grid-12 {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2rem;
}

.grid-12 img {
  width: 100%;
  height: 350px;
  object-fit: cover;
  display: block;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 3rem;
}

.gallery img {
  width: 100%;
  aspect-ratio: 3 / 4;
  object-fit: cover;
  display: block;
}

.margin {
margin: 0 1% 0 1%;
}


.mobile {
  display: none;
}

.map {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 60px 0;
}

.map img {
  width: 30%;
}

@media screen and (min-width: 744px) and (max-width: 1400px) {

  .desktop {
    display: none;
  }

  .mobile {
    display: block;
  }

  .img-bottle {
    width: 80%;
  }

  span {
    font-size: 80px!important;
  }
  
  .space-high {
    height: 300px!important;
  }

  .space-low {
    height: 150px;
  }
}

@media screen and (min-width: 481px) and (max-width: 743px) {
   body {
    width: 100%;
    min-width: 0;
    overflow-x: hidden;
  }
   .raw {
    flex-direction: column;
    padding: 2%;
    text-align: center;
  }

  .col-10,
  .col-20,
  .col-40 {
    width: 100%;
  }

  span {
    font-size: 0.4em;
  }

  .desktop {
    display: none;
  }

  .mobile {
    display: block;
  }

  .img-bottle {
    width: 60%;
  }

  .map img {
    width: 70%;
  }

  .gallery {
    display: flex;
    overflow-x: auto;
  }

  .space-high {
    height: 200px!important;
  }

  .space-low {
    height: 80px;
  }
}

@media (max-width: 480px) {

  body {
    width: 100%;
    min-width: 0;
    overflow-x: hidden;
  }

  .logo {
    top: 45%;
    width: 50%;
  }

  .nav-links.active a {
  color: #000 !important;
  }

  span {
    font-size: 0.4em;
  }

  .space-high {
      height: 50px!important;
  }

  .space-low {
    height: 50px!important;
  }

  .space-low-02 {
  height: 10px!important;
  }

  .raw {
    display: flex;
    flex-direction: column;
    padding: 2%;
    text-align: center;
  }


  .title {
    font-size: 100px;
    text-align: left;
  }

  .col-10, .col-20, .col-40 {
    width: 100%;
  }

  .col-40 img {
    width: 80%;
  }

  .video-container {
    width: 100vw;
    height: 177.78vw;
    object-fit: cover;
}

 .gallery {
    display: flex;
    flex-direction: row;
    overflow-x: auto;
    gap: 1rem;
    padding: 0 1rem;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
  }

  .gallery img {
    flex: 0 0 80vw;
    width: 80vw;
    height: 110vw;
    object-fit: cover;
    scroll-snap-align: center;
  }

  .desktop {
    display: none;
  }

  .mobile {
    display: block;
  }

  .left-mobile {
    text-align: left;
  }

  .col {
    display: flex;
    flex-direction: column;
  }

  .desktop-display {
    display: none!important;
  }

  .map img {
  width: 85%;
}
}